Jump to content

Draw order


johnengineer

Recommended Posts

I am using the command Draw Order and would like to use the Quick Select so that I can select all objects on a specific layer. How do I use the Quick Select in conjuction with the Draw Order command?

Link to comment
Share on other sites

To clarify, I would like to select all objects on a specific layer when prompted to "select objects" within the draw order command. How would I be able to accomplish this?

Link to comment
Share on other sites

> johnengineer

 

(defun c:lorder(/ sEnt fLst)
 (and
   (setq sEnt(entsel "\nPick object on wanted layer > "))
   (setq fLst(assoc 8(entget(car sEnt))))
   (vl-cmdf "_.draworder"(ssget "_X"(list fLst)) "")
   ); end and
 (princ)
 ); end of c:lorder

 

You became little bit happier?

Link to comment
Share on other sites

Guest Alan Cullen

Use FILTER.....select LAYER....enter the layer name...select ALL

 

Then go to DRAWORDER and when asked ...type P

 

Failing all that......turn all layers off except the layer you want to change the draw order of...then do a crossing on all objects still on screen......

Link to comment
Share on other sites

  • 9 months later...
  • 3 years later...

old thread i know but its exactly what i was looking for

the script is also great for me.. just wonderin if there is anyway to be able to select the object then run the script or what in the coding would need to be changed

thanks for any help

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...